package com.caimei.mapper;

import com.caimei.model.po.CmUserInvoiceInfoPo;
import com.caimei.model.vo.AddressVo;
import com.caimei.model.vo.CityVo;
import com.caimei.model.vo.ProvinceVo;
import com.caimei.model.vo.TownVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/25
 */
@Mapper
public interface AddressMapper {
    /**
     * 查询所有机构用户地址
     *
     * @param userId
     * @return
     */
    List<AddressVo> findAddress(Integer userId);

    /**
     * 查询默认地址
     *
     * @param userId
     * @return
     */
    AddressVo findDefaultAddress(Integer userId);

    /**
     * 更新机构用户地址
     *
     * @param address
     */
    void updateAddress(AddressVo address);

    /**
     * 保存机构用户地址
     *
     * @param address
     */
    void insertAddress(AddressVo address);

    /**
     * 删除机构用户地址
     *
     * @param addressId
     */
    void deleteAddress(Integer addressId);

    /**
     * 设置为默认地址
     *
     * @param addressId
     */
    void updateDefaultAddress(Integer addressId);

    /**
     * 查询县级地址
     *
     * @return
     */
    List<ProvinceVo> findAllProvince();

    /**
     * 查询市级地址
     *
     * @param provinceId
     * @return
     */
    List<CityVo> findAllCity(Integer provinceId);

    /**
     * 查询区级地址
     *
     * @param cityId
     * @return
     */
    List<TownVo> findAllTown(Integer cityId);

    /**
     * 保存用户发票
     *
     * @param invoice
     */
    void insertInvoice(CmUserInvoiceInfoPo invoice);

    /**
     * 更新用户发票
     *
     * @param invoice
     */
    void updateInvoice(CmUserInvoiceInfoPo invoice);

    /**
     * 查询用户发票
     *
     * @param userId
     * @return
     */
    CmUserInvoiceInfoPo findInvoice(Integer userId);
}
