package com.caimei.model.po;

import com.caimei.model.vo.CartProductVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/8/17
 */
@Data
public class PromotionsPo implements Serializable {
    private Integer id;
    /**
     * 组织Id
     */
    private Integer organizeId;
    /**
     * 促销名称
     */
    private String name;
    /**
     * 促销描述
     */
    private String description;
    /**
     * 分类: 1单品促销，2凑单促销，3店铺促销
     */
    private Integer type;
    /**
     * 促销方式：1优惠，2满减，3满赠
     */
    private Integer mode;
    /**
     * 优惠价/满减/满赠的设定价格（如满999赠商品）
     */
    private BigDecimal touchPrice;
    /**
     * 减免价格
     */
    private BigDecimal reducedPrice;
    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;
    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    /**
     * 时效：1永久，2区间过期，其它无效
     */
    private Integer status;

    /**
     * 主订单id
     */
    private Integer orderId;

    /**
     * 满赠商品
     */
    private List<CartProductVo> productGifts;
}
