package com.caimei.service;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.ClubVo;
import com.caimei.model.vo.ProductVo;
import com.github.pagehelper.PageInfo;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/23
 */
public interface ProductService {
    /**
     * 机构列表
     *
     * @param name
     * @param organizeId
     * @param pageSize
     * @param pageNum
     * @return
     */
    ResponseJson<PageInfo<ClubVo>> clubList(Integer organizeId, String name, Integer pageNum, Integer pageSize);

    /**
     * 商品列表
     * @param organizeId
     * @param productName
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PageInfo<ProductVo>> productList(Integer organizeId, String productName, Integer pageNum, Integer pageSize);

    /**
     * 设置商品价格
     * @param product
     */
    void setProductPrice(ProductVo product);

    /**
     * 获取阶梯价
     * @param product
     */
    void getLadderPrice(ProductVo product);

    /**
     * 商品详情
     * @param productId
     * @return
     */
    ResponseJson<ProductVo> productDetails(Integer productId);
}
